glibmm: Glib::SignalProxyNormal Class Reference

# Glib::SignalProxyNormal Class Reference

The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals. More...

Inherits Glib::SignalProxyBase.

Inherited by Glib::SignalProxy0< R >, Glib::SignalProxy1< R, P1 >, Glib::SignalProxy2< R, P1, P2 >, Glib::SignalProxy3< R, P1, P2, P3 >, Glib::SignalProxy4< R, P1, P2, P3, P4 >, Glib::SignalProxy5< R, P1, P2, P3, P4, P5 >, and Glib::SignalProxy6< R, P1, P2, P3, P4, P5, P6 >.

Collaboration diagram for Glib::SignalProxyNormal:
[legend]

List of all members.

## Public Member Functions
| ~SignalProxyNormal ()
void | emission_stop ()
| stops the current signal emmision (not in libsigc++)
## Protected Member Functions
| SignalProxyNormal (Glib::ObjectBase* obj, const SignalProxyInfo* info)
| Create a proxy for a signal that can be emitted by obj.
sigc::slot_base& | connect_ (const sigc::slot_base&slot, bool after)
| Connects a signal to a generic signal handler.
sigc::slot_base& | connect_notify_ (const sigc::slot_base&slot, bool after)
| Connects a signal to a signal handler without a return value.

## Detailed Description

The SignalProxy provides an API similar to sigc::signal that can be used to connect sigc::slots to glib signals.

This holds the name of the glib signal and the object which might emit it. Actually, proxies are controlled by the template derivatives, which serve as gatekeepers for the types allowed on a particular signal.

## Constructor & Destructor Documentation

Glib::SignalProxyNormal::~SignalProxyNormal | ( |  | ) |

Glib::SignalProxyNormal::SignalProxyNormal | ( | Glib::ObjectBase* | obj,
|  | const SignalProxyInfo * | info |
| ) |  |  | `[protected]`

Create a proxy for a signal that can be emitted by obj.

Parameters:

  | obj | The object that can emit the signal.
  | info | Information about the signal, including its name, and the C callbacks that should be called by glib.

## Member Function Documentation

sigc::slot_base& Glib::SignalProxyNormal::connect_ | ( | const sigc::slot_base & | slot,
|  | bool | after |
| ) |  |  | `[protected]`

Connects a signal to a generic signal handler.

This is called by connect() in derived SignalProxy classes.

Parameters:

  | slot | The signal handler, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  | after | Whether this signal handler should be called before or after the default signal handler.

sigc::slot_base& Glib::SignalProxyNormal::connect_notify_ | ( | const sigc::slot_base & | slot,
|  | bool | after |
| ) |  |  | `[protected]`

Connects a signal to a signal handler without a return value.

This is called by connect() in derived SignalProxy classes.

By default, the signal handler will be called before the default signal handler, in which case any return value would be replaced anyway by that of the later signal handler.

Parameters:

  | slot | The signal handler, which should have a void return type, usually created with sigc::mem_fun(), or sigc::ptr_fun().
  | after | Whether this signal handler should be called before or after the default signal handler.

void Glib::SignalProxyNormal::emission_stop | ( |  | ) |

stops the current signal emmision (not in libsigc++)

The documentation for this class was generated from the following file:

- glibmm/signalproxy.h